[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TOpenPictureDialog.DefaultFilter

DefaultFilter - the default filename filter.

## Declaration

Source position: extdlgs.pas line 94

`public property TOpenPictureDialog.DefaultFilter : string read FDefaultFilter;`

## Description

DefaultFilter is a read-only String property which provides the default value for the Filter property. DefaultFilter is populated in the Create constructor with the common image formats supported for the platform or OS. Its value is assigned as the default value for the Filter property in the constructor.

## See also

TOpenPictureDialog.Create |  | Constructor for the class instance.
TOpenPictureDialog.Filter |  | Contains a delimited list of descriptions and extensions for file available in the dialog.
GraphicFilter |  | Gets a filter string for files using the specified graphic class type.